
Redmine - Defect #14415

Spent time details and report should ignore 'Setting.display_subprojects_issues?' when 'Subproject'

filter is enabled.

2013-07-09 06:06 - Martin Dubé

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 2.3.3   

Resolution: Fixed Affected version: 2.3.1

Description

Using the 'Subproject' filter on the time log details or report pages has no effect if the "Display subprojects issues on main projects by

default" is disabled.

Attached is a patch that fix the problem by not scoping on project since the proper scope has been applied in

Query.project_statement

Thanks

Associated revisions

Revision 12057 - 2013-07-28 17:16 - Jean-Philippe Lang

Spent time details and report should ignore 'Setting.display_subprojects_issues?' (#14415).

Revision 12063 - 2013-07-28 22:46 - Jean-Philippe Lang

Merged r12057 from trunk (#14415).

History

#1 - 2013-07-28 17:16 - Jean-Philippe Lang

- Category set to Time tracking

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.3

- Resolution set to Fixed

Fixed in r12057 with tests, thanks for pointing this out.

#2 - 2013-07-28 22:46 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Files

timelog_controller.rb.patch 447 Bytes 2013-07-09 Martin Dubé
